### Virtual Method

# Pango FontMap list_families

#### Declaration [src]

    void
    list_families (
      PangoFontMap* fontmap,
      PangoFontFamily*** families,
      int* n_families
    )

#### Description [src]

List all families for a fontmap.

#### Parameters

`families` | An array of `PangoFontFamily`
| Location to store a pointer to an array of `PangoFontFamily` *. This array should be freed with `g_free()`.
| The argument will be set by the function.
| The length of the array is specified in the `n_families` argument.
| The called function takes ownership of the data container, but not the data inside it.
`n_families` | `int*`
| Location to store the number of elements in `families`.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.